For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • STREAMGet logs for a workflow
      • GETGet full details for a specific workflow log
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflow Logs

Get full details for a specific workflow log

Beta
GET
https://api.scoutos.com/v2/run_logs/details
GET
/v2/run_logs/details
$curl -G https://api.scoutos.com/v2/run_logs/details \
> -H "Authorization: Bearer <token>" \
> -d workflow_id=workflow_id
1{
2 "workflow_display_name": "Data Ingestion Pipeline",
3 "workflow_run_id": "run_20240115_093000_abc123",
4 "workflow_id": "wf_9a8b7c6d5e4f3g2h1i0j",
5 "status": "completed",
6 "session_id": "sess_1234567890abcdef",
7 "cost": 3.75,
8 "blocks": {
9 "block_1": {
10 "block_archetype_id": "arch_001",
11 "block_type": "extract",
12 "block_id": "block_1",
13 "block_inputs": {
14 "source": "user_database",
15 "query": "SELECT * FROM users WHERE active = true"
16 },
17 "block_output": {
18 "rows_extracted": 1500,
19 "status": "success"
20 },
21 "config": {
22 "retry": 3,
23 "timeout_seconds": 300
24 },
25 "block_display_name": "Extract User Data",
26 "metadata": {
27 "executed_by": "system",
28 "priority": "high"
29 },
30 "elapsed_time_ms": 120000,
31 "cost": 1.25,
32 "message": "Extraction completed without errors.",
33 "workflow_state": {
34 "step": "extraction"
35 },
36 "status": "success",
37 "timestamp_start": "2024-01-15T09:30:00Z",
38 "timestamp_end": "2024-01-15T09:32:00Z"
39 },
40 "block_2": {
41 "block_archetype_id": "arch_002",
42 "block_type": "transform",
43 "block_id": "block_2",
44 "block_inputs": {
45 "input_format": "json",
46 "transformation_rules": [
47 "normalize_names",
48 "filter_inactive"
49 ]
50 },
51 "block_output": {
52 "rows_transformed": 1450,
53 "status": "success"
54 },
55 "config": {
56 "retry": 2,
57 "timeout_seconds": 600
58 },
59 "block_display_name": "Transform User Data",
60 "metadata": {
61 "executed_by": "transform_service",
62 "priority": "medium"
63 },
64 "elapsed_time_ms": 180000,
65 "cost": 1.5,
66 "message": "Transformation applied successfully.",
67 "workflow_state": {
68 "step": "transformation"
69 },
70 "status": "success",
71 "timestamp_start": "2024-01-15T09:32:00Z",
72 "timestamp_end": "2024-01-15T09:35:00Z"
73 }
74 },
75 "output": {
76 "total_rows_processed": 1450,
77 "result_status": "success"
78 },
79 "elapsed_time_ms": 300000,
80 "timestamp_start": "2024-01-15T09:30:00Z",
81 "timestamp_end": "2024-01-15T09:35:00Z",
82 "environment": "production",
83 "revision_id": "rev_20240110_01",
84 "message": "Workflow completed successfully.",
85 "gcs_log_path": "gs://scoutos-logs/workflows/wf_9a8b7c6d5e4f3g2h1i0j/run_20240115_093000_abc123/log.txt"
86}

Get full log details for a specific workflow run. Requires either session_id or workflow_run_id to identify the log.

Was this page helpful?
Previous

List all copilots

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

workflow_idstringRequired
The workflow ID
session_idstring or nullOptional

The session ID to identify the log. Either session_id or workflow_run_id must be provided.

workflow_run_idstring or nullOptional

The workflow run ID to identify the log. Either session_id or workflow_run_id must be provided.

Response

Successful Response
workflow_display_namestring
workflow_run_idstring
workflow_idstring
statusstring
session_idstring
costdouble
blocksmap from strings to objects
outputany
elapsed_time_msinteger
timestamp_startdatetime
timestamp_enddatetime
environmentstring or null
revision_idstring or null
messagestringDefaults to
gcs_log_pathstring or null

Errors

422
Unprocessable Entity Error